Package: groovy.sql

## [Java] Class SqlWithParams

- groovy.sql.SqlWithParams

-     public class SqlWithParams
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SqlWithParams(String sql, List<?> params)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<Object>` | `getParams()`
    `` | `public String` | `getSql()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public SqlWithParams(String sql, List<?> params)

  - ### Method Detail

    - #### @SuppressWarnings("unchecked")
      public List<Object> getParams()

    - #### public String getSql()